Bug 131368 - WeekDay BASIC function's second argument undocumented
Summary: WeekDay BASIC function's second argument undocumented
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Rafael Lima
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Macro-Documentation
  Show dependency treegraph
 
Reported: 2020-03-16 06:01 UTC by Mike Kaganski
Modified: 2021-05-06 17:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-03-16 06:01:44 UTC
WeekDay BASIC function documentation [1] only lists one argument. In fact, it takes second optional argument [2], which is consistent with documentation available for corresponding VBA function [3].

The task is to provide the missing documentation in [1].

[1] https://help.libreoffice.org/6.4/en-US/text/sbasic/shared/03030105.html
[2] https://opengrok.libreoffice.org/xref/core/basic/source/runtime/methods1.cxx?r=62f3f3d9#1751
[3] https://docs.microsoft.com/en-us/office/vba/language/reference/user-interface-help/weekday-function
Comment 1 Mike Kaganski 2020-03-16 06:29:38 UTC
FTR: the optional second argument was implemented at the same time as the function itself - in 2004: https://gerrit.libreoffice.org/plugins/gitiles/core/+/3aa55b592d25bf8b0bc0323dfbd5c905fd2f0e91.
Comment 2 Commit Notification 2021-05-05 23:02:33 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/f9a2226309678e6a8769af6d312f796bb6835c4b

tdf#131368, tdf#141474 Document WeekDay Basic function